<div class="container">
    <div class="header">
        <div class="sub-section">
            <button mat-icon-button *ngIf="editMode" (click)="onCheckClick()">
                <mat-icon>{{ categoryGroup.checked ? 'check_box' : 'check_box_outline_blank'}}</mat-icon>
            </button>
            <p [style.font-weight]="editMode ? '550' : 'normal'">{{categoryGroup.name}}</p>
        </div>
        <div class="sub-section">
            <button mat-icon-button *ngIf="editMode" (click)="addCategory()">
                <mat-icon>add_circle_outline</mat-icon>
            </button>
            <button mat-icon-button *ngIf="editMode">
                <mat-icon>menu</mat-icon>
            </button>
        </div>
    </div>
    <div *ngFor="let category of categoryGroup.categories">
        <app-category [category]="category" [editMode]="editMode"></app-category>
    </div>
</div>
